Add Organization domain

Adds a new domain to an Organization.

POST
/v2/manage/organizations/{orgId}/domains

Adds a new domain to an Organization.

Authorization

apikey<token>

Tenant API Key for authentication

In: query

apisecret<token>

Tenant API Secret for authentication

In: query

Path Parameters

orgId*string

Organization ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

DomainName*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.loginradius.com/v2/manage/organizations/org_1234567890abcdef1234567890abcdef1234567890abcdef1234567890abcdef/domains" \  -H "Content-Type: application/json" \  -d '{    "DomainName": "example.com"  }'
{
  "DomainName": "example.com",
  "IsVerified": false,
  "Id": "org_domain_Z5Zviy2xEEUTal7S",
  "VerificationStrategy": "manual",
  "VerificationToken": "123456"
}

{
  "Description": "The domain is not configured to handle emails. Please verify that the domain has valid MX records set up.",
  "ErrorCode": 7900,
  "Message": "A parameter is not formatted correctly."
}

{
  "ErrorCode": 8180,
  "Message": "Organization is not active",
  "Description": "Organization is not active, Please provide valid organization id."
}

{
  "Description": "The entered organization or its configuration does not exist.",
  "ErrorCode": 8118,
  "Message": "Organization not found"
}
{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}